package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ExtractContextDataToIcollAction.class */
public class ExtractContextDataToIcollAction extends LifeAction {
    private String iCollName;

    public String execute(Context context) throws GENEException {
        try {
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            KeyedCollection kcoll = (KeyedCollection) icoll.getDataElement().clone();
            for (String key : kcoll.keySet()) {
                if (context.containsKey(key)) {
                    kcoll.setDataValue(key, context.getDataValue(key));
                }
            }
            icoll.addDataElement(kcoll);
            return "0";
        } catch (GENEException ex) {
            Trace.logWarn("LifeAction", ex.getMessage(), ex);
            return "1";
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
